summaryrefslogtreecommitdiff
path: root/tests/stty
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-03-11 03:49:07 +0000
committerJim Meyering <jim@meyering.net>1999-03-11 03:49:07 +0000
commit45eb5dac3c8b1d10233d7a82dc51b3648362bb59 (patch)
treebacac5c525f454ad270ff8acbc41f03fe9977f49 /tests/stty
parent95d1aad02d26c589cbda2847b3aa51c564a6dd85 (diff)
downloadcoreutils-45eb5dac3c8b1d10233d7a82dc51b3648362bb59.tar.xz
Skip failing tests: parenb, -parenb, -cread.
Diffstat (limited to 'tests/stty')
-rwxr-xr-xtests/stty/basic-19
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/stty/basic-1 b/tests/stty/basic-1
index 4a44aa626..9fcb8eacd 100755
--- a/tests/stty/basic-1
+++ b/tests/stty/basic-1
@@ -30,10 +30,17 @@ options=`stty -a|tail +2|tr ';' '\012'|sed '/ = /d;s/^ //'|tr -s ' -' '\012'`
# Take them one at a time, with and without the leading `-'.
for opt in $options; do
+ # `stty parenb' and `stty -parenb' fail with this message
+ # stty: standard input: unable to perform all requested operations
+ # on Linux 2.2.0-pre4 kernels, so skip those tests.
+ test $opt = parenb && continue
stty $opt || fail=1
+
+ # Likewise, `stty -cread' would fail, so skip that, too.
+ test $opt = cread && continue
rev=`eval echo "\\\$REV_$opt"`
if test -n "$rev"; then
- stty -$opt || fail=1
+ stty -$opt || { fail=1; echo -$opt; }
fi
done